<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Photo Contest</title>
    <!-- Core theme JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
    <script defer type="text/javascript" th:src="@{/scripts.js}"></script>

    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/><br/>
<select th:replace="/fragments/mini-navbar-form.html :: mini-navbar"></select>

<div class="container">
    <!-- Portfolio Section Heading-->
    <h2 class="page-section-heading text-center text-uppercase text-secondary mb-0">Most Participatory Contests</h2>
    <div class="divider-custom">
        <div class="divider-custom-line"></div>
    </div>
</div>

<!--Most Participatory contests -->
<section class="page-section portfolio" id="portfolio">
    <div class="row justify-content-center">
        <!-- Portfolio Item 1-->
        <div class="col-md-6 col-lg-3 mb-5" th:each="contest: ${mostParticipatory}">
            <div class="img-frame" style="margin-bottom: 10px">
                <a th:unless="${isAuthenticated}" th:href="@{/auth/login}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
                <a th:if="${isAuthenticated}" th:href="@{/contests/{id}(id=${contest.getId()})}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
            </div>
            <h5 th:text="*{contest.title}"></h5>
        </div>
    </div>
</section>
<hr class="my-4"/>

<!--Newest Contests created -->

<div class="container">
    <!-- Portfolio Section Heading-->
    <h2 class="page-section-heading text-center text-uppercase text-secondary mb-0">Newest Contests</h2>
    <div class="divider-custom">
        <div class="divider-custom-line"></div>
    </div>
</div>

<section class="page-section portfolio" id="portfolio">
    <div class="row justify-content-center">
        <!-- Portfolio Item 1-->
        <div class="col-md-6 col-lg-3 mb-5" th:each="contest: ${newestContests}">
            <div class="img-frame" style="margin-bottom: 10px">
                <a th:unless="${isAuthenticated}" th:href="@{/auth/login}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
                <a th:if="${isAuthenticated}" th:href="@{/contests/{id}(id=${contest.getId()})}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
            </div>
            <h5 th:text="*{contest.title}"></h5>
            <h5 th:text="${countSubmissionsForOneContest}"></h5>
        </div>
    </div>
</section>


<!--    <div class="col-md-6 col-lg-4 mb-5" th:each="contest : ${openContests}">-->
<!--        <a th:href="@{/contests/{id}(id=${contest.getId()})}">-->
<!--            <div class="portfolio-item mx-auto" data-bs-toggle="modal" data-bs-target="#portfolioModal1">-->
<!--                <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">-->
<!--                    <div class="portfolio-item-caption-content text-center text-white">-->
<!--                        <i th:text="*{contest.title}"></i>-->
<!--                        <br/>-->
<!--                        <p class="demo" th:if="${contest.getTimeLimit()} != null"-->
<!--                           th:attr="data-endtime=${contest.getTimeLimit()}"></p>-->
<!--                        <p th:unless="${contest.getTimeLimit()} != null"></p>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <img class="img-fluid" th:src="@{${'/img/' + contest.photo.fileName}}" alt="..."/>-->
<!--            </div>-->
<!--        </a>-->
<!--    </div>-->
<!--</div>-->

<!--<div class="card-body" th:each="contest: ${mostParticipatory}">-->
<!--    <a th:href="@{/contests/{id}(id=${contest.getId()})}"></a>-->
<!--</div>-->
</body>
</html>